Index: trunk/data/konvert/postnas_0.7/sichten.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/sichten.sql	(revision 176)
+++ trunk/data/konvert/postnas_0.7/sichten.sql	(revision 178)
@@ -7,4 +7,5 @@
 --  2012-02-25 PostNAS 07, Umbenennung
 --  2012-04-17 flstnr_ohne_position
+--  2012-04-24 pauschal Filter 'endet IS NULL' um historische Objekte auszublenden
 
 
@@ -32,4 +33,6 @@
    JOIN ax_flurstueck      f  ON v.beziehung_zu = f.gml_id
   WHERE v.beziehungsart = 'dientZurDarstellungVon' 
+    AND p.endet IS NULL
+    AND f.endet IS NULL
   --AND p."art" = 'ZAE_NEN'
   ;
@@ -56,4 +59,6 @@
     JOIN ax_flurstueck      f  ON v.beziehung_zu = f.gml_id
    WHERE v.beziehungsart = 'dientZurDarstellungVon' 
+     AND p.endet IS NULL
+     AND f.endet IS NULL
    --AND p."art" = 'ZAE_NEN'
  UNION 
@@ -64,4 +69,5 @@
     LEFT JOIN alkis_beziehungen v  ON v.beziehung_zu = f.gml_id
    WHERE v.beziehungsart is NULL
+     AND f.endet IS NULL
   ;
 
@@ -79,14 +85,16 @@
 CREATE OR REPLACE VIEW s_hausnummer_gebaeude 
 AS 
- SELECT ap_pto.ogc_fid, 
-        ap_pto.wkb_geometry, -- Point
-        ap_pto.drehwinkel * 57.296 AS drehwinkel,   -- umn: ANGLE [drehwinkel]
-        ax_lagebezeichnungmithausnummer.hausnummer  -- umn: LABELITEM
-   FROM ap_pto
-   JOIN alkis_beziehungen 
-     ON ap_pto.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_lagebezeichnungmithausnummer 
-     ON alkis_beziehungen.beziehung_zu  = ax_lagebezeichnungmithausnummer.gml_id
-  WHERE alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
+ SELECT p.ogc_fid, 
+        p.wkb_geometry,				-- Point
+        p.drehwinkel * 57.296 AS drehwinkel,	-- umn: ANGLE [drehwinkel]
+        l.hausnummer				-- umn: LABELITEM
+   FROM ap_pto p
+   JOIN alkis_beziehungen v
+     ON p.gml_id = v.beziehung_von
+   JOIN ax_lagebezeichnungmithausnummer l
+     ON v.beziehung_zu  = l.gml_id
+  WHERE v.beziehungsart = 'dientZurDarstellungVon'
+    AND p.endet IS NULL
+    AND l.endet IS NULL;
 
 COMMENT ON VIEW s_hausnummer_gebaeude IS 'fuer Kartendarstellung: Hausnummern HauptgebÃ€ude';
@@ -98,16 +106,18 @@
 CREATE OR REPLACE VIEW s_nummer_nebengebaeude 
 AS 
- SELECT ap_pto.ogc_fid, 
-        ap_pto.wkb_geometry, 
-        ap_pto.drehwinkel * 57.296 AS drehwinkel,        -- umn: ANGLE [drehwinkel]
-     -- alkis_beziehungen.beziehungsart,                 -- TEST
-     -- ax_lagebezeichnungmitpseudonummer.pseudonummer,  -- die HsNr des zugehoerigen Hauptgebaeudes
-        ax_lagebezeichnungmitpseudonummer.laufendenummer -- umn: LABELITEM - die laufende Nummer des Nebengebaeudes
-   FROM ap_pto
-   JOIN alkis_beziehungen 
-     ON ap_pto.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_lagebezeichnungmitpseudonummer 
-     ON alkis_beziehungen.beziehung_zu  = ax_lagebezeichnungmitpseudonummer.gml_id
-  WHERE alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
+ SELECT p.ogc_fid, 
+        p.wkb_geometry, 
+        p.drehwinkel * 57.296 AS drehwinkel,	-- umn: ANGLE [drehwinkel]
+     -- v.beziehungsart,		-- TEST
+     -- l.pseudonummer,			-- die HsNr des zugehoerigen Hauptgebaeudes
+        l.laufendenummer		-- umn: LABELITEM - die laufende Nummer des Nebengebaeudes
+   FROM ap_pto p
+   JOIN alkis_beziehungen v 
+     ON p.gml_id = v.beziehung_von
+   JOIN ax_lagebezeichnungmitpseudonummer l
+     ON v.beziehung_zu  = l.gml_id
+  WHERE v.beziehungsart = 'dientZurDarstellungVon'
+    AND p.endet IS NULL
+    AND l.endet IS NULL
 ;
 
@@ -120,15 +130,17 @@
 CREATE OR REPLACE VIEW s_zugehoerigkeitshaken_flurstueck 
 AS 
- SELECT ap_ppo.ogc_fid, 
-        ap_ppo.wkb_geometry, 
-        ap_ppo.drehwinkel * 57.296 AS drehwinkel,
-        ax_flurstueck.flurstueckskennzeichen
-   FROM ap_ppo
-   JOIN alkis_beziehungen 
-     ON ap_ppo.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_flurstueck 
-     ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
-  WHERE ap_ppo.art = 'Haken'
-    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
+ SELECT p.ogc_fid, 
+        p.wkb_geometry, 
+        p.drehwinkel * 57.296 AS drehwinkel,
+        f.flurstueckskennzeichen
+   FROM ap_ppo p
+   JOIN alkis_beziehungen v
+     ON p.gml_id = v.beziehung_von
+   JOIN ax_flurstueck f
+     ON v.beziehung_zu = f.gml_id
+  WHERE p.art = 'Haken'
+    AND v.beziehungsart = 'dientZurDarstellungVon'
+    AND f.endet IS NULL
+    AND p.endet IS NULL;
 
 COMMENT ON VIEW s_zugehoerigkeitshaken_flurstueck IS 'fuer Kartendarstellung';
@@ -140,14 +152,16 @@
 CREATE OR REPLACE VIEW s_zuordungspfeil_flurstueck 
 AS 
- SELECT ap_lpo.ogc_fid, 
-        ap_lpo.wkb_geometry
-   FROM ap_lpo
-   JOIN alkis_beziehungen 
-     ON ap_lpo.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_flurstueck 
-     ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
-  WHERE ap_lpo.art = 'Pfeil'
-    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
-    AND ('DKKM1000' ~~ ANY (ap_lpo.advstandardmodell));
+ SELECT l.ogc_fid, 
+        l.wkb_geometry
+   FROM ap_lpo l
+   JOIN alkis_beziehungen v
+     ON l.gml_id = v.beziehung_von
+   JOIN ax_flurstueck f
+     ON v.beziehung_zu = f.gml_id
+  WHERE l.art = 'Pfeil'
+    AND v.beziehungsart = 'dientZurDarstellungVon'
+    AND ('DKKM1000' ~~ ANY (l.advstandardmodell))
+    AND f.endet IS NULL
+    AND l.endet IS NULL;
 
 COMMENT ON VIEW s_zuordungspfeil_flurstueck IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer';
@@ -156,15 +170,18 @@
 CREATE OR REPLACE VIEW s_zuordungspfeilspitze_flurstueck 
 AS 
- SELECT ap_lpo.ogc_fid, (((st_azimuth(st_pointn(ap_lpo.wkb_geometry, 1), 
-        st_pointn(ap_lpo.wkb_geometry, 2)) * (- (180)::double precision)) / pi()) + (90)::double precision) AS winkel, 
-        st_startpoint(ap_lpo.wkb_geometry) AS wkb_geometry 
-   FROM ap_lpo
-   JOIN alkis_beziehungen 
-     ON ap_lpo.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_flurstueck 
-     ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
-  WHERE ap_lpo.art = 'Pfeil'
-    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
-    AND ('DKKM1000' ~~ ANY (ap_lpo.advstandardmodell));
+ SELECT l.ogc_fid, 
+        (((st_azimuth(st_pointn(l.wkb_geometry, 1), 
+        st_pointn(l.wkb_geometry, 2)) * (- (180)::double precision)) / pi()) + (90)::double precision) AS winkel, 
+        st_startpoint(l.wkb_geometry) AS wkb_geometry 
+   FROM ap_lpo l
+   JOIN alkis_beziehungen v
+     ON l.gml_id = v.beziehung_von
+   JOIN ax_flurstueck f
+     ON v.beziehung_zu = f.gml_id
+  WHERE l.art = 'Pfeil'
+    AND v.beziehungsart = 'dientZurDarstellungVon'
+    AND ('DKKM1000' ~~ ANY (l.advstandardmodell))
+    AND f.endet IS NULL
+    AND l.endet IS NULL;
 
 COMMENT ON VIEW s_zuordungspfeilspitze_flurstueck IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer, Spitze';
@@ -178,12 +195,13 @@
 CREATE OR REPLACE VIEW s_beschriftung 
 AS 
-  SELECT ap_pto.ogc_fid, 
-         ap_pto.schriftinhalt, 
-         ap_pto.art, 
-         ap_pto.drehwinkel * 57.296 AS winkel, -- * 180 / Pi
-         ap_pto.wkb_geometry 
-    FROM ap_pto 
-   WHERE not ap_pto.schriftinhalt IS NULL 
-     AND art NOT IN ('HNR', 'PNR');
+  SELECT p.ogc_fid, 
+         p.schriftinhalt, 
+         p.art, 
+         p.drehwinkel * 57.296 AS winkel, -- * 180 / Pi
+         p.wkb_geometry 
+    FROM ap_pto p
+   WHERE not p.schriftinhalt IS NULL 
+     AND p.endet IS NULL
+     AND p.art NOT IN ('HNR', 'PNR');
 
 -- Feb. 2012 PostNAS 0.6: 'ZAE_NEN' kommt nicht mehr vor!
@@ -214,15 +232,17 @@
 CREATE OR REPLACE VIEW s_zuordungspfeil_gebaeude 
 AS 
- SELECT ap_lpo.ogc_fid, 
+ SELECT l.ogc_fid, 
      -- alkis_beziehungen.beziehungsart, -- TEST
      -- ap_lpo.art, -- TEST
-        ap_lpo.wkb_geometry
-   FROM ap_lpo
-   JOIN alkis_beziehungen 
-     ON ap_lpo.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_gebaeude 
-     ON alkis_beziehungen.beziehung_zu = ax_gebaeude.gml_id
-  WHERE ap_lpo.art = 'Pfeil'
-    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
+        l.wkb_geometry
+   FROM ap_lpo l
+   JOIN alkis_beziehungen v
+     ON l.gml_id = v.beziehung_von
+   JOIN ax_gebaeude g
+     ON v.beziehung_zu = g.gml_id
+  WHERE l.art = 'Pfeil'
+    AND v.beziehungsart = 'dientZurDarstellungVon'
+    AND g.endet IS NULL
+    AND l.endet IS NULL;
 
 COMMENT ON VIEW s_zuordungspfeil_gebaeude IS 'fuer Kartendarstellung: Zuordnungspfeil fÃŒr GebÃ€ude-Nummer';
@@ -236,5 +256,5 @@
 
 
-CREATE VIEW sk2004_zuordnungspfeil 
+CREATE OR REPLACE VIEW sk2004_zuordnungspfeil 
 AS
  SELECT ap.ogc_fid, ap.wkb_geometry 
@@ -247,5 +267,5 @@
 --      Siehe s_zuordungspfeil_flurstueck 
 
-CREATE VIEW sk2004_zuordnungspfeil_spitze 
+CREATE OR REPLACE VIEW sk2004_zuordnungspfeil_spitze 
 AS
  SELECT ap.ogc_fid, (((st_azimuth(st_pointn(ap.wkb_geometry, 1), 
@@ -363,4 +383,5 @@
  --LEFT JOIN ap_pto            p  ON p.gml_id       = v.beziehung_von
   WHERE v.beziehungsart is NULL
+    AND f.endet IS NULL
 --ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler
   ;
@@ -372,16 +393,17 @@
 CREATE OR REPLACE VIEW s_allgemeine_texte 
 AS 
- SELECT ap_pto.ogc_fid, 
-      --ap_pto.wkb_geometry, 
-      --ap_pto.gml_id,
-        ap_pto.art, 
-        ap_pto.drehwinkel * 57.296 AS drehwinkel,   -- * 180 / Pi
-        ap_pto.schriftinhalt
-   FROM ap_pto
-  WHERE NOT ap_pto.art = 'ZAE_NEN' 
-    AND NOT ap_pto.art = 'HNR' 
-    AND NOT ap_pto.art = 'FKT' 
-    AND NOT ap_pto.art = 'Friedhof' 
-    AND ap_pto.schriftinhalt IS NOT NULL;
+ SELECT p.ogc_fid, 
+      --p.wkb_geometry, 
+      --p.gml_id,
+        p.art, 
+        p.drehwinkel * 57.296 AS drehwinkel,   -- * 180 / Pi
+        p.schriftinhalt
+   FROM ap_pto p
+  WHERE NOT p.art = 'ZAE_NEN' 
+    AND NOT p.art = 'HNR' 
+    AND NOT p.art = 'FKT' 
+    AND NOT p.art = 'Friedhof' 
+    AND p.schriftinhalt IS NOT NULL
+    AND p.endet IS NULL;
 
 
@@ -420,5 +442,5 @@
 
 
--- EXTENT fÃŒr Mapfile eines Mandenten ermitteln
+-- EXTENT fÃŒr das Mapfile eines Mandanten ermitteln
 
 CREATE OR REPLACE VIEW flurstuecks_minmax AS 
@@ -427,5 +449,6 @@
         max(st_xmax(wkb_geometry)) AS r_max, 
         max(st_ymax(wkb_geometry)) AS h_max
-   FROM public.ax_flurstueck;
+   FROM ax_flurstueck f
+   WHERE f.endet IS NULL;
 
 COMMENT ON VIEW flurstuecks_minmax IS 'Maximale Ausdehnung von ax_flurstueck fuer EXTENT-Angabe im Mapfile';
@@ -454,5 +477,8 @@
       ON r.artderfestlegung = a.wert
     LEFT JOIN ax_dienststelle d
-      ON r.land = d.land AND r.stelle = d.stelle
+      ON r.land   = d.land 
+     AND r.stelle = d.stelle 
+  WHERE r.endet IS NULL
+    AND d.endet IS NULL
  ;
 
@@ -470,4 +496,5 @@
   SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
   FROM            ax_flurstueck
+  WHERE           endet IS NULL
   ORDER BY        land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
 ;
@@ -483,4 +510,5 @@
           st_geometrytype(wkb_geometry)
  FROM     ax_flurstueck
+ WHERE    endet IS NULL
  GROUP BY st_geometrytype(wkb_geometry);
 
@@ -494,5 +522,5 @@
 
 
-CREATE VIEW  adressen_hausnummern
+CREATE OR REPLACE VIEW adressen_hausnummern
 AS
     SELECT 
@@ -519,5 +547,5 @@
 -- Schluessel der Gemeinde nach Bedarf anpassen!
 
-CREATE VIEW adressen_zum_flurstueck
+CREATE OR REPLACE VIEW adressen_zum_flurstueck
 AS
     SELECT
@@ -573,5 +601,5 @@
 -- Wobei ">xxx>" = JOIN ÃŒber die Verbindungs-Tabelle "alkis_beziehungen" mit der Beziehungsart "xxx".
 
-CREATE VIEW flurstuecke_eines_eigentuemers 
+CREATE OR REPLACE VIEW flurstuecke_eines_eigentuemers 
 AS 
    SELECT 
@@ -611,4 +639,11 @@
      AND bgs.beziehungsart = 'istBestandteilVon' -- Buchungs-Stelle >> Grundbuch
      AND bsf.beziehungsart = 'istGebucht'        -- Flurstueck      >> Buchungs-Stelle
+     AND p.endet IS NULL 
+     AND n.endet IS NULL
+     AND g.endet IS NULL
+     AND b.endet IS NULL
+     AND s.endet IS NULL
+     AND f.endet IS NULL
+     AND k.endet IS NULL
    ORDER BY   
          k.bezeichnung,
@@ -641,5 +676,5 @@
 
 
-CREATE VIEW rechte_eines_eigentuemers 
+CREATE OR REPLACE VIEW rechte_eines_eigentuemers 
 AS
    SELECT 
@@ -687,4 +722,12 @@
      AND bss.beziehungsart in ('an','zu')        -- B-Stelle herr.  >> B-Stelle dien.
      AND bsf.beziehungsart = 'istGebucht'        -- Flurstueck      >> B-Stelle dien
+     AND p.endet IS NULL
+     AND n.endet IS NULL
+     AND g.endet IS NULL
+     AND b.endet IS NULL
+     AND sh.endet IS NULL
+     AND sd.endet IS NULL
+     AND f.endet IS NULL
+     AND k.endet IS NULL
    ORDER BY   
          k.bezeichnung,
